namespace KioskApp.Portal.Platforms.Attributes;

[AttributeUsage(AttributeTargets.Class, Inherited = false, AllowMultiple = false)]
public class SupportedOSAttribute : Attribute
{
    public SupportedOS SupportedOperatingSystems { get; }

    public SupportedOSAttribute(SupportedOS supportedOS)
    {
        SupportedOperatingSystems = supportedOS;
    }
}